package benefactorkindboxreqparam

import (

	entity "git.gocasts.ir/ebhomengo/niki/entity"
)

type KindBoxReqUpdateRequest struct {
	KindBoxReqID		uint				`json:"-"`
	BenefactorID		uint				`json:"-"`
	KindBoxType			entity.KindBoxType	`json:"kind_box_type" example:"1"`
	CountRequested		uint				`json:"count_requested" example:"2"`
	Description			string				`json:"description" example:"this is a description for..."`
	DeliverReferDate	string          	`json:"deliver_refer_date" example:"2025-01-02 15:04:05"`
	DeliverReferTimeID	uint             	`json:"deliver_refer_time_id" example:"1"`
	DeliverAddressID	uint				`json:"deliver_address_id" example:"2"`
}

type KindBoxReqUpdateResponse struct {
	KindBoxReq entity.KindBoxReq `json:"kind_box_req"`
}
